package com.jeeww.web.admin.dto.resourcemanage;

import java.io.Serializable;

/**
 * 系统资源信息表 实体类. 作者:蒋文武 创建日期: 2014-02-19 02:44:52
 */
public class ResourceManageDTO implements Serializable {
    /**
     * 默认序列.
     */
    private static final long serialVersionUID = 1L;
    /**
     * 资源主键.
     */
    private String resourceId;
    /**
     * 资源名称.
     */
    private String resourceName;
    /**
     * 资源地址.
     */
    private String resourceUrl;
    /**
     * 资源类型.
     */
    private String resourceType;
    /**
     * 应用标志.
     */
    private String usedFlag;
    /**
     * 创建日期.
     */
    private java.util.Date createDate;
    /**
     * 更新日期.
     */
    private java.util.Date updateDate;
    /**
     * 创建人主键.
     */
    private String createUserId;
    /**
     * 更新人主键.
     */
    private String updateUserId;
    /**
     * 排序号.
     */
    private java.math.BigDecimal orderNum;
    /**
     * 父节点.
     */
    private String parentResourceId;

    /**
     * 获得资源主键的值.
     * @return resourceId
     */
    public String getResourceId() {
        return resourceId;
    }

    /**
     * 设置资源主键的值.
     * @param resourceId parameter resourceId
     */
    public void setResourceId(final String resourceId) {
        this.resourceId = resourceId;
    }

    /**
     * 获得资源名称的值.
     * @return resourceName
     */
    public String getResourceName() {
        return resourceName;
    }

    /**
     * 设置资源名称的值.
     * @param resourceName parameter resourceName
     */
    public void setResourceName(final String resourceName) {
        this.resourceName = resourceName;
    }

    /**
     * 获得资源地址的值.
     * @return resourceUrl
     */
    public String getResourceUrl() {
        return resourceUrl;
    }

    /**
     * 设置资源地址的值.
     * @param resourceUrl parameter resourceUrl
     */
    public void setResourceUrl(final String resourceUrl) {
        this.resourceUrl = resourceUrl;
    }

    /**
     * 获得资源类型的值.
     * @return resourceType
     */
    public String getResourceType() {
        return resourceType;
    }

    /**
     * 设置资源类型的值.
     * @param resourceType parameter resourceType
     */
    public void setResourceType(final String resourceType) {
        this.resourceType = resourceType;
    }

    /**
     * 获得应用标志的值.
     * @return usedFlag
     */
    public String getUsedFlag() {
        return usedFlag;
    }

    /**
     * 设置应用标志的值.
     * @param usedFlag parameter usedFlag
     */
    public void setUsedFlag(final String usedFlag) {
        this.usedFlag = usedFlag;
    }

    /**
     * 获得创建日期的值.
     * @return createDate
     */
    public java.util.Date getCreateDate() {
        return createDate;
    }

    /**
     * 设置创建日期的值.
     * @param createDate parameter createDate
     */
    public void setCreateDate(final java.util.Date createDate) {
        this.createDate = createDate;
    }

    /**
     * 获得更新日期的值.
     * @return updateDate
     */
    public java.util.Date getUpdateDate() {
        return updateDate;
    }

    /**
     * 设置更新日期的值.
     * @param updateDate parameter updateDate
     */
    public void setUpdateDate(final java.util.Date updateDate) {
        this.updateDate = updateDate;
    }

    /**
     * 获得创建人主键的值.
     * @return createUserId
     */
    public String getCreateUserId() {
        return createUserId;
    }

    /**
     * 设置创建人主键的值.
     * @param createUserId parameter createUserId
     */
    public void setCreateUserId(final String createUserId) {
        this.createUserId = createUserId;
    }

    /**
     * 获得更新人主键的值.
     * @return updateUserId
     */
    public String getUpdateUserId() {
        return updateUserId;
    }

    /**
     * 设置更新人主键的值.
     * @param updateUserId parameter updateUserId
     */
    public void setUpdateUserId(final String updateUserId) {
        this.updateUserId = updateUserId;
    }

    /**
     * 获得排序号的值.
     * @return orderNum
     */
    public java.math.BigDecimal getOrderNum() {
        return orderNum;
    }

    /**
     * 设置排序号的值.
     * @param orderNum parameter orderNum
     */
    public void setOrderNum(final java.math.BigDecimal orderNum) {
        this.orderNum = orderNum;
    }

    /**
     * 获得父节点的值.
     * @return parentResourceId
     */
    public String getParentResourceId() {
        return parentResourceId;
    }

    /**
     * 设置父节点的值.
     * @param parentResourceId parameter parentResourceId
     */
    public void setParentResourceId(final String parentResourceId) {
        this.parentResourceId = parentResourceId;
    }
}
